# Method: buyers.publisherProfiles.list

- [HTTP request](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.publisherProfiles/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.publisherProfiles/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.publisherProfiles/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.publisherProfiles/list#body.request_body)
- [Response body](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.publisherProfiles/list#body.response_body)
  - [JSON representation](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.publisherProfiles/list#body.ListPublisherProfilesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.publisherProfiles/list#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.publisherProfiles/list#try-it)

Lists publisher profiles. The returned publisher profiles aren't in any defined order. The order of the results might change. A new publisher profile can appear in any place in the list of returned results.

### HTTP request

`GET https://authorizedbuyersmarketplace.googleapis.com/v1/{parent=buyers/*}/publisherProfiles`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent that owns the collection of publisher profiles Format: `buyers/{buyerId}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Requested page size. The server may return fewer results than requested. If requested more than 500, the server will return 500 results per page. If unspecified, the server will pick a default page size of 100. |
| `pageToken` | `string` The page token as returned from a previous ListPublisherProfilesResponse. |
| `filter` | `string` Optional query string using the [Cloud API list filtering](https://developers.google.com/authorized-buyers/apis/guides/list-filters) syntax. |

### Request body

The request body must be empty.

### Response body

Response message for profiles visible to the buyer.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "publisherProfiles": [ { object (`https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.publisherProfiles#PublisherProfile`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `publisherProfiles[]` | ``object (`https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.publisherProfiles#PublisherProfile`)`` The list of matching publisher profiles. |
| `nextPageToken` | `string` Token to fetch the next page of results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/authorized-buyers-marketplace`